diff -cr --exclude=CVS 00orig/src/backend/access/transam/xact.c 01trivial/src/backend/access/transam/xact.c
*** 00orig/src/backend/access/transam/xact.c	2004-01-15 23:32:18.000000000 -0300
--- 01trivial/src/backend/access/transam/xact.c	2004-01-15 23:34:42.000000000 -0300
***************
*** 87,93 ****
   *
   *		Support for transaction blocks is provided via the functions:
   *
!  *				StartTransactionBlock
   *				CommitTransactionBlock
   *				AbortTransactionBlock
   *
--- 87,93 ----
   *
   *		Support for transaction blocks is provided via the functions:
   *
!  *				BeginTransactionBlock
   *				CommitTransactionBlock
   *				AbortTransactionBlock
   *
***************
*** 108,114 ****
   *
   *			/	StartTransactionCommand();
   *		1) /	ProcessUtility();				<< begin
!  *		   \		StartTransactionBlock();
   *			\	CommitTransactionCommand();
   *
   *			/	StartTransactionCommand();
--- 108,114 ----
   *
   *			/	StartTransactionCommand();
   *		1) /	ProcessUtility();				<< begin
!  *		   \		BeginTransactionBlock();
   *			\	CommitTransactionCommand();
   *
   *			/	StartTransactionCommand();
***************
*** 127,133 ****
   *		The point of this example is to demonstrate the need for
   *		StartTransactionCommand() and CommitTransactionCommand() to
   *		be state smart -- they should do nothing in between the calls
!  *		to StartTransactionBlock() and EndTransactionBlock() and
   *		outside these calls they need to do normal start/commit
   *		processing.
   *
--- 127,133 ----
   *		The point of this example is to demonstrate the need for
   *		StartTransactionCommand() and CommitTransactionCommand() to
   *		be state smart -- they should do nothing in between the calls
!  *		to BeginTransactionBlock() and EndTransactionBlock() and
   *		outside these calls they need to do normal start/commit
   *		processing.
   *
***************
*** 399,405 ****
  {
  	TransactionState s = CurrentTransactionState;
  
! 	return (cid == s->commandId) ? true : false;
  }
  
  
--- 399,405 ----
  {
  	TransactionState s = CurrentTransactionState;
  
! 	return (cid == s->commandId);
  }
  
  
***************
*** 860,866 ****
  	AtStart_Locks();
  
  	/*
! 	 * Tell the trigger manager to we're starting a transaction
  	 */
  	DeferredTriggerBeginXact();
  
--- 860,866 ----
  	AtStart_Locks();
  
  	/*
! 	 * Tell the trigger manager we're starting a transaction
  	 */
  	DeferredTriggerBeginXact();
  
diff -cr --exclude=CVS 00orig/src/include/access/xact.h 01trivial/src/include/access/xact.h
*** 00orig/src/include/access/xact.h	2004-01-15 23:32:29.000000000 -0300
--- 01trivial/src/include/access/xact.h	2004-01-19 19:32:19.000000000 -0300
***************
*** 75,86 ****
   */
  typedef struct TransactionStateData
  {
! 	TransactionId transactionIdData;
! 	CommandId	commandId;
! 	AbsoluteTime startTime;
! 	int			startTimeUsec;
! 	TransState	state;
! 	TBlockState blockState;
  } TransactionStateData;
  
  typedef TransactionStateData *TransactionState;
--- 75,86 ----
   */
  typedef struct TransactionStateData
  {
! 	TransactionId	transactionIdData;
! 	CommandId		commandId;
! 	AbsoluteTime	startTime;
! 	int				startTimeUsec;
! 	TransState		state;
! 	TBlockState		blockState;
  } TransactionStateData;
  
  typedef TransactionStateData *TransactionState;
